Subject: Re: Updated Charter and acronym change

From: Alex Conta <[email-masked]>
Date: Thu, 23 Aug 2001 21:01:04 -0400

Bob, Steve, 

I think there is an important element that is missing, or I missed from
the charter:

"The IPv6 WG will make sure that IPv6, as an IETF standard for IP, will
support, or work well with the other IETF standard protocols and
mechanisms"

Regards,
Alex

Bob Hinden wrote:
> 
> Folks,
> 
> Attached is an updated proposed charter that the chairs and ADs have
> reached consensus on.  Most of the changes are related to making it current
> (i.e., remove completed work items, updated milestones, revise some work
> items to reflect current work, etc.).
> 
> After some thought the chairs and ADs think it would be best to also change
> the working group acronym from IPng to IPv6.  The down side of this is that
> new drafts will have to be labeled as IPv6 (i.e.,
> draft-ietf-ipv6-xxxx-00.txt) and this may cause some additional work
> keeping track of existing drafts.  The other issue is that the online
> version charter at http://www.ietf.org will not list the documents produced
> while the working group was named IPng.  This is being addressed by
> creating a link to the old charter in the new charter.
> 
> Our conclusion is that changing the working group acronym from IPng to IPv6
> will cause some short term annoyances, overall it will be simpler to have
> the working group name and acronym match.
> 
> Please let us know if you disagree.
> 
> Thanks,
> Bob Hinden and Steve Deering
> 
> p.s. We will also see about making both ipng and ipv6 work for the mailing
> list.
> 
> _____________________________________________________________________
> 
> IP Version 6 Working Group (IPv6)
> 
> Chair(s):
> 
>      Bob Hinden <[email-masked]>
>      Steve Deering <[email-masked]>
> 
> Document Editor
> 
>      Bob Hinden ([email-masked])
> 
> Internet Area Director(s):
> 
>      Thomas Narten <[email-masked]>
>      Erik Nordmark <[email-masked]>
> 
> Internet Area Advisor:
> 
>      Thomas Narten <[email-masked]>
> 
> Mailing Lists:
> 
>      General Discussion:[email-masked]
>      To Subscribe: [email-masked]
>      In Body: in body: subscribe ipng
>      Archive: ftp://playground.sun.com/pub/ipng/mail-archive
> 
> Web Pages:
> 
>      Charter: http://www.ietf.org/html.charters/ipv6-charter.html
>      Working group info: http://playground.sun.com/ipv6/
>      Previous charter: http://www.ietf.org/html.charters/ipngwg-charter.html
> 
> Description of Working Group:
> 
>      IP version 6 or IPv6 (also formerly known as IP Next Generation or IPng)
>      is intended to support the continued growth of the Internet, both in
>      size and capabilities, by offering a greatly increased IP address space
>      and other enhancements over IPv4.  The IP Next Generation (IPng) working
>      group was originally chartered by the IESG to implement the
>      recommendations of the IPng Area Directors as outlined at the July 1994
>      IETF meeting and in "The Recommendation for the IP Next Generation
>      Protocol," RFC1752, January 1995.  Most of the tasks in that original
>      charter have been completed, and the core IPv6 protocol specifications
>      are now on the IETF standards track.
> 
>      This charter focuses on completing the remaining work items and providing
>      a home for IPv6 work that spans multiple IETF working groups.  The
>      working group is being renamed the IP Version 6 Working Group (IPv6)
>      because it is a better description of the working group's focus.
> 
>      The specific working group's ongoing responsibilities are as follows:
> 
>       - Complete work from the original charter and follow-on work, as
>         outlined below.
> 
>       - Keep all IPv6 working group documents moving along publication /
>         standardization track.
> 
>       - Serve as a review board and body of competence and coordination for
>         IPv6 architectural issues that span multiple IETF working groups.
> 
>       - Provide a home for IPv6-related work that doesn't fit in an existing
>         IETF working group and doesn't merit a working group of its own.
> 
>       - Provide technical input to the IAB, IANA and Internet Address
>         Registries with regard to IPv6 address allocation policies and
>         procedures.
> 
>      The list of the working group's current work items is as follows:
> 
>       - Revise and advance to Draft Standard the IPv6 Address
>         Architecture document [RFC 2373]
>       - Revise IPv6 Aggregatable Unicast Addresses [RFC 2374],
>         removing the policy aspects that are considered RIR issues.
>       - Complete work on recommended address-selection algorithms
>       - Revise ICMPv6 spec [RFC 2463] (scope-exceeded err, no error to
>         redirect, editorial)
>       - Revise Generic Tunneling spec [RFC 2473] (add bidirectional
>         tunnels)
>       - Update Basic and Advanced API specs [RFC 2553, RFC 2292]
>       - Complete Scoped Address Architecture spec and any necessary revisions
>         to other working group drafts required to properly implement support
>         for IPv6 address scoping
>       - Work on host-based solutions to site-multihoming problems (in
>         coordination with multi6)
>       - Complete work on local IPv6 networking as part of IPv6
>         plug-and-play (to be coordinated with other WGs as appropriate,
>         e.g., dnsext, zeroconf, etc.)
>       - Document IPv6 renumbering model
>       - Complete the IPv6 Node Information Queries spec
>       - Revise and update the base IPv4/IPv6 MIBs and produce a new
>         consistent set of MIBs that cover IPv4 and IPv6 together.
>         RFCs to be looked at together: 2011, 2012, 2013, 2096, 2851,
>         2452, 2454, 2465, 2466 and possibly 3019.
> 
>      New work items not listed above require the approval of the working
>      group and Internet Area directors before they will be taken on by the
>      working group.
> 
>      The working group would welcome contributions on the following topics
>      (this is not an exhaustive list):
> 
>       - Flow label standardization
>       - Solutions to other multihoming issues, beyond those specific to
>         site-multihoming
>       - Integration of autoconfiguration, mobility, DNS, service discovery
>         and other technologies to enhance IPv6 plug-and-play
>       - IPv6 dial-up issues relating to address assignment, use of Neighbor
>         Discovery, etc. (not including AAA work)
>       - Specifications for IPv6 over additional media
>       - Host use of anycast; TCP use of anycast
>       - Support for multi-link subnets (single subnet spans multiple links)
>       - Scope-name discovery
>       - IPv6 protocol extensions to accommodate mobile wireless networks.
> 
> Goals and Milestones:
> 
>    Jun 2001    Revise IPv6 Address Architecture and resubmit to IESG for
>                Draft Standard
> 
>    Jul 2001    Revise IPv6 Aggregatable Unicast Addresses and submit for
>                Draft Standard
> 
>    Jul 2001    Resubmit the IPv6 Node Information Queries spec
> 
>    Aug 2001    Compete Address Selection specification and submit for Proposed
>                Standard
> 
>    Dec 2001    Update ICMP document and resubmit for Draft Standard
> 
>    Dec 2001    Complete DNS Discovery draft and submit for Proposed Standard
> 
>    Dec 2001    Update Generic Tunneling specification and resubmit for
>                Proposed Standard
> 
>    Dec 2001    Complete updates to Basic and Advanced API specifications
>                and submit for Informational
> 
>    Mar 2002    Complete Scoped Address Architecture and submit for Proposed
>                Standard
> 
>    May 2002    Submit document describing IPv6 renumbering model for
>                Informational.
> 
> _____________________________________________________________________
> 
> --------------------------------------------------------------------
> IETF IPng Working Group Mailing List
> IPng Home Page:                      http://playground.sun.com/ipng
> FTP archive:                      ftp://playground.sun.com/pub/ipng
> Direct all administrative requests to [email-masked]
> --------------------------------------------------------------------